/* ------------------------------------------------------------------
  Main Visual Portfolio Styles

  [Table of contents]
  
    - Base.
    - Filter.
    - Sort.
    - Pagination.
    - Style Default.
    - Style Fade.
    - Style Fly.
    - Style Emerge.
    - Styled Carousel.
 ------------------------------------------------------------------- */
/* stylelint-disable scss/comment-no-empty */
/* stylelint-disable-next-line no-duplicate-selectors */
.vp-sort.vp-sort__style-dropdown select, .vp-filter.vp-filter__style-dropdown select {
  position: relative;
  display: block;
  width: 100%;
  font-weight: var(--wld--form--font-weight);
  line-height: var(--wld--form--line-height);
  color: var(--wld--form--color);
  background-color: var(--wld--form--background-color);
  border: 0;
  /* rtl:ignore */
  border-right: var(--wld--form--border-width) solid var(--wld--form--border-color);
  /* rtl:ignore */
  border-bottom: var(--wld--form--border-width) solid var(--wld--form--border-color);
  border-radius: var(--wld-border-radius);
  -webkit-transition: color var(--wld-transition-duration) var(--wld-transition-easing), border-color var(--wld-transition-duration) var(--wld-transition-easing), background var(--wld-transition-duration) var(--wld-transition-easing);
  -o-transition: color var(--wld-transition-duration) var(--wld-transition-easing), border-color var(--wld-transition-duration) var(--wld-transition-easing), background var(--wld-transition-duration) var(--wld-transition-easing);
  transition: color var(--wld-transition-duration) var(--wld-transition-easing), border-color var(--wld-transition-duration) var(--wld-transition-easing), background var(--wld-transition-duration) var(--wld-transition-easing);
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
}
.vp-sort.vp-sort__style-dropdown select:not([disabled]):not(:disabled):focus, .vp-filter.vp-filter__style-dropdown select:not([disabled]):not(:disabled):focus {
  --wld--form--color: var(--wld--form-focus--color);
  --wld--form--border-color: var(--wld--form-focus--border-color);
  --wld--form--background-color: var(--wld--form-focus--background-color);
  outline: none;
}

body {
  --vp-color-brand: var(--wld-color-brand);
  --vp-border-radius: var(--wld-border-radius);
  --vp-transition-duration: var(--wld-transition-duration);
  --vp-transition-easing: var(--wld-transition-easing);
  --vp-interactive__transition-duration: 0.2s;
  --vp-interactive__transition-easing: var(--wld-transition-easing);
}

/* ------------------------------------------------------------------
  Base.
 ------------------------------------------------------------------- */
.vp-portfolio {
  --vp-elements__gap: 40px;
  --vp-border-radius: var(--wld-border-radius);
}
.vp-portfolio .vp-portfolio__item-img-wrap img {
  border-radius: var(--wld-border-radius);
}
.vp-portfolio .vp-svg-icon {
  width: calc(1em + 1px);
  height: calc(1em + 1px);
  vertical-align: -0.15em;
}
.vp-portfolio .vp-portfolio__item-meta-inline {
  font-size: var(--wld--font-size--medium);
}
.vp-portfolio .vp-sort,
.vp-portfolio .vp-filter,
.vp-portfolio .vp-pagination,
.vp-portfolio .vp-portfolio__item-meta-categories {
  padding-left: 0;
}
.vp-portfolio .vp-pagination {
  margin-left: calc(-1 * var(--vp-pagination-default--items__gap));
}
.vp-portfolio .vp-portfolio__filter-sort-wrap {
  position: relative;
  z-index: 1;
}

.vp-preview-body {
  background: none;
}

/* ------------------------------------------------------------------
  Filter.
 ------------------------------------------------------------------- */
.vp-portfolio__filter-wrap {
  width: 100%;
}

.vp-filter__style-default {
  --vp-filter-default--items__gap: 10px;
  --vp-filter-default--items__min-width: 40px;
  --vp-filter-default--items__padding-v: 0.3571428571em;
  --vp-filter-default--items__padding-h: 0.5714285714em;
  --vp-filter-default--items__font-size: var(--wld--font-size--small);
  --vp-filter-default--items__line-height: 1;
  --vp-filter-default--items__font-weight: 400;
  --vp-filter-default--items__color: var(--wld-color-brand);
  --vp-filter-default--items__background-color: hsl(var(--wld-color-background-300));
  --vp-filter-default--items__border-radius: var(--wld-border-radius);
  --vp-filter-default--items-active__color: hsl(var(--wld-color-white));
  --vp-filter-default--items-hover__color: hsl(var(--wld-color-white));
  --vp-filter-default--items-hover__background-color: var(--wld-color-brand);
  --vp-filter-default--items-count__offset: 10px;
  --vp-filter-default-transition-duration: var(--wld-transition-duration);
  margin-left: calc(-1 * var(--vp-filter-default--items__gap));
}
.vp-filter__style-default .vp-filter__item:nth-child(odd) > a {
  -webkit-clip-path: polygon(0 0, 100% 1px, 100% calc(100% - 1px), 1px 100%);
          clip-path: polygon(0 0, 100% 1px, 100% calc(100% - 1px), 1px 100%);
}
.vp-filter__style-default .vp-filter__item:nth-child(even) > a {
  -webkit-clip-path: polygon(0 1px, calc(100% - 1px) 0, 100% 100%, 0 calc(100% - 1px));
          clip-path: polygon(0 1px, calc(100% - 1px) 0, 100% 100%, 0 calc(100% - 1px));
}

.vp-filter__style-minimal {
  --vp-filter-minimal--items__padding-v: 7px;
  --vp-filter-minimal--items__padding-h: 10px;
  --vp-filter-minimal--items__font-size: var(--wld--font-size--medium);
  --vp-filter-minimal--items__font-weight: 400;
  --vp-filter-minimal--items__line-height: 1;
  --vp-filter-minimal--items__text-transform: uppercase;
  --vp-filter-minimal--items__color: hsl(var(--wld-color-title));
  --vp-filter-minimal--items-hover__color: var(--wld-color-brand);
  --vp-filter-minimal--items-count__offset: 8px;
  --vp-filter-minimal--items-count__font-size: 0.65em;
  --vp-filter-minimal-transition-duration: var(--wld-transition-duration);
}

.vp-filter__style-dropdown {
  --vp-filter-dropdown--items__gap: 10px;
  --vp-filter-dropdown--items__padding-v: 0.9285714286em;
  --vp-filter-dropdown--items__padding-h: 1.4285714286em;
  --vp-filter-dropdown--items__font-size: var(--wld--font-size--small);
  --vp-filter-dropdown--items__font-weight: 400;
  --vp-filter-dropdown--items__line-height: 1.15;
  --vp-filter-dropdown--items__text-transform: initial;
  --vp-filter-dropdown--items__color: hsl(var(--wld-color-meta));
  --vp-filter-dropdown--items__background-color: hsl(var(--wld-color-background));
  --vp-filter-dropdown--items-hover__color: hsl(var(--wld-color-text));
  --vp-filter-dropdown--items-hover__background-color: hsl(var(--wld-color-background));
  --vp-filter-dropdown-transition-duration: var(--wld-transition-duration);
}

/* ------------------------------------------------------------------
  Sort.
 ------------------------------------------------------------------- */
.vp-portfolio__sort-wrap {
  width: 100%;
}

.vp-sort__style-default {
  --vp-sort-default--items__gap: 10px;
  --vp-sort-default--items__min-width: 40px;
  --vp-sort-default--items__padding-v: 0.3571428571em;
  --vp-sort-default--items__padding-h: 0.5714285714em;
  --vp-sort-default--items__font-size: var(--wld--font-size--small);
  --vp-sort-default--items__line-height: 1;
  --vp-sort-default--items__font-weight: 400;
  --vp-sort-default--items__color: var(--wld-color-brand);
  --vp-sort-default--items__background-color: hsl(var(--wld-color-background-300));
  --vp-sort-default--items__border-radius: var(--wld-border-radius);
  --vp-sort-default--items-active__color: hsl(var(--wld-color-white));
  --vp-sort-default--items-hover__color: hsl(var(--wld-color-white));
  --vp-sort-default--items-hover__background-color: var(--wld-color-brand);
  --vp-sort-default--items-count__offset: 10px;
  --vp-sort-default-transition-duration: var(--wld-transition-duration);
  margin-left: calc(-1 * var(--vp-sort-default--items__gap));
}
.vp-sort__style-default .vp-sort__item:nth-child(odd) > a {
  -webkit-clip-path: polygon(0 0, 100% 1px, 100% calc(100% - 1px), 1px 100%);
          clip-path: polygon(0 0, 100% 1px, 100% calc(100% - 1px), 1px 100%);
}
.vp-sort__style-default .vp-sort__item:nth-child(even) > a {
  -webkit-clip-path: polygon(0 1px, calc(100% - 1px) 0, 100% 100%, 0 calc(100% - 1px));
          clip-path: polygon(0 1px, calc(100% - 1px) 0, 100% 100%, 0 calc(100% - 1px));
}

.vp-sort__style-minimal {
  --vp-sort-minimal--items__padding-v: 7px;
  --vp-sort-minimal--items__padding-h: 10px;
  --vp-sort-minimal--items__font-size: 1em;
  --vp-sort-minimal--items__font-weight: 400;
  --vp-sort-minimal--items__line-height: 1;
  --vp-sort-minimal--items__text-transform: uppercase;
  --vp-sort-minimal--items__color: hsl(var(--wld-color-title));
  --vp-sort-minimal--items-hover__color: var(--wld-color-brand);
  --vp-sort-minimal--items-count__offset: 8px;
  --vp-sort-minimal--items-count__font-size: 0.65em;
  --vp-sort-minimal-transition-duration: var(--wld-transition-duration);
}

.vp-sort__style-dropdown {
  --vp-sort-dropdown--items__gap: 10px;
  --vp-sort-dropdown--items__padding-v: 0.9285714286em;
  --vp-sort-dropdown--items__padding-h: 1.4285714286em;
  --vp-sort-dropdown--items__font-size: var(--wld--font-size--small);
  --vp-sort-dropdown--items__font-weight: 400;
  --vp-sort-dropdown--items__line-height: 1.15;
  --vp-sort-dropdown--items__text-transform: initial;
  --vp-sort-dropdown--items__color: hsl(var(--wld-color-meta));
  --vp-sort-dropdown--items__background-color: hsl(var(--wld-color-background));
  --vp-sort-dropdown--items-hover__color: hsl(var(--wld-color-text));
  --vp-sort-dropdown--items-hover__background-color: hsl(var(--wld-color-background));
  --vp-sort-dropdown-transition-duration: var(--wld-transition-duration);
}

/* ------------------------------------------------------------------
  Pagination.
 ------------------------------------------------------------------- */
.vp-pagination__style-minimal {
  --vp-pagination-minimal-transition-duration: 0;
  --vp-pagination-minimal--items__padding-v: 0.8461538462em;
  --vp-pagination-minimal--items__padding-h: 1.0769230769em;
  --vp-pagination-minimal--items__font-size: 1em;
  --vp-pagination-minimal--items__color: hsl(var(--wld-color-title));
  --vp-pagination-minimal--items__font-weight: 400;
  --vp-pagination-minimal--items-hover__color: var(--wld-color-brand);
  --vp-pagination-minimal-paged--items-active__padding-v: 0.6153846154em;
  --vp-pagination-minimal-paged--items-active__padding-h: 0.6153846154em;
  --vp-pagination-minimal-paged--items-active__color: hsl(var(--wld-color-white));
  --vp-pagination-minimal-paged--items-active__background-color: var(--wld-color-brand);
  --vp-pagination-minimal-paged--items-active__margin-h: 0;
  --vp-pagination-minimal-paged--items-active__border-radius: 100%;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  list-style: none;
}
.vp-pagination__style-minimal .vp-pagination__item > * {
  height: 46px;
  white-space: nowrap;
}
.vp-pagination__style-minimal .vp-pagination__item:not(.vp-pagination__item-active) > * {
  position: relative;
  min-width: auto;
  padding-right: 0;
  padding-left: 0;
  -webkit-transition: color var(--wld-transition-duration) var(--wld-transition-easing);
  -o-transition: color var(--wld-transition-duration) var(--wld-transition-easing);
  transition: color var(--wld-transition-duration) var(--wld-transition-easing);
}
.vp-pagination__style-minimal .vp-pagination__item:not(.vp-pagination__item-active) > *::after {
  position: absolute;
  top: 0;
  right: -12.5px;
  bottom: 0;
  left: -12.5px;
  content: "";
}
.vp-pagination__style-minimal .vp-pagination__item:not(:last-child) {
  margin-right: 12.5px;
}
.vp-pagination__style-minimal .vp-pagination__item:not(:first-child) {
  margin-left: 12.5px;
}
.vp-pagination__style-minimal .vp-pagination__item-active > * {
  min-width: 46px;
}
.vp-pagination__style-minimal .vp-pagination__item-next > *,
.vp-pagination__style-minimal .vp-pagination__item-prev > * {
  min-width: none;
}

.vp-pagination__style-default {
  --vp-pagination-default-transition-duration: 0;
  --vp-pagination-default--items__min-width: 46px;
  --vp-pagination-default--items__padding-v: 15px;
  --vp-pagination-default--items__padding-h: 14px;
  --vp-pagination-default--items__gap: 10px;
  --vp-pagination-default--items__font-size: 1em;
  --vp-pagination-default--items__line-height: 1;
  --vp-pagination-default--items__letter-spacing: normal;
  --vp-pagination-default--items__border-radius: 0;
  --vp-pagination-default--items__color: var(--wld-color-brand-dark);
  --vp-pagination-default--items__background-color: var(--wld-color-brand-light);
  --vp-pagination-default--items-hover__color: hsl(var(--wld-color-white));
  --vp-pagination-default--items-hover__background-color: hsl(var(--wld-color-title));
  --vp-pagination-default--items-active__color: hsl(var(--wld-color-white));
  --vp-pagination-default--items-active__background-color: var(--wld-color-brand);
}
.vp-pagination__style-default .vp-pagination__item > * {
  -webkit-transition: color var(--wld-transition-duration) var(--wld-transition-easing), background-color var(--wld-transition-duration) var(--wld-transition-easing);
  -o-transition: color var(--wld-transition-duration) var(--wld-transition-easing), background-color var(--wld-transition-duration) var(--wld-transition-easing);
  transition: color var(--wld-transition-duration) var(--wld-transition-easing), background-color var(--wld-transition-duration) var(--wld-transition-easing);
}
.vp-pagination__style-default .vp-pagination__item:nth-child(odd) > * {
  -webkit-clip-path: polygon(0 0, 100% 2px, 100% calc(100% - 2px), 0 100%);
          clip-path: polygon(0 0, 100% 2px, 100% calc(100% - 2px), 0 100%);
}
.vp-pagination__style-default .vp-pagination__item:nth-child(even) > * {
  -webkit-clip-path: polygon(0 2px, 100% 0, 100% 100%, 0 calc(100% - 2px));
          clip-path: polygon(0 2px, 100% 0, 100% 100%, 0 calc(100% - 2px));
}
.vp-pagination__style-default .vp-pagination__item-next > *,
.vp-pagination__style-default .vp-pagination__item-prev > * {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  height: 46px;
  padding: 0;
}
.vp-pagination__style-default .vp-pagination__item-next > * svg,
.vp-pagination__style-default .vp-pagination__item-prev > * svg {
  width: 18px;
  height: 18px;
}

.vp-portfolio__loading .vp-pagination__style-default .vp-pagination__load-more:hover, .vp-portfolio__loading .vp-pagination__style-default .vp-pagination__load-more:focus {
  background-color: transparent;
}

.vp-spinner {
  --vp-spinner__color: hsl(var(--wld-color-title));
  --vp-spinner--background__color: hsl(var(--wld-color-white));
}

/* ------------------------------------------------------------------
  Style Default.
 ------------------------------------------------------------------- */
.vp-portfolio__items-style-default {
  --vp-items-style-default--image-hover__transform: scale(1.01);
  --vp-items-style-default--meta-title__font-size: var(--wld--heading-4--font-size);
  --vp-items-style-default--meta__padding-v: 0;
  --vp-items-style-default--meta__padding-h: 0;
  --vp-items-style-default--meta-items__gap: 20px;
  --vp-items-style-default--meta-categories__gap: 20px;
  --vp-items-style-default--meta-categories__opacity: 1;
  --vp-items-style-default--meta-categories__text-transform: none;
  --vp-items-style-default--meta-categories__separator: "";
  --vp-items-style-default--meta-categories__font-size: var(--wld--font-size--medium);
  --vp-items-style-default--meta-categories__font-weight: 600;
  --vp-items-style-default--meta-inline__font-opacity: 1;
  --vp-items-style-default--meta-inline__font-weight: 600;
  --vp-items-style-default--meta-inline__gap: 20px;
  --vp-items-style-default--meta-part-icon__offset: 0;
  --vp-items-style-default-transition-duration: var(--wld-transition-cubic-duration);
  --vp-items-style-default-transition-easing: var(--wld-transition-cubic-easing);
  --vp-items-style-default--links__color: hsl(var(--wld-color-title));
}
.vp-portfolio__items-style-default .vp-portfolio__item a:focus {
  color: var(--wld-color-brand);
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta {
  position: static;
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta-inline {
  color: hsl(var(--wld-color-meta));
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta-inline a {
  color: hsl(var(--wld-color-meta));
  -webkit-transition: color var(--wld-transition-duration) var(--wld-transition-easing);
  -o-transition: color var(--wld-transition-duration) var(--wld-transition-easing);
  transition: color var(--wld-transition-duration) var(--wld-transition-easing);
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta-inline a:hover, .vp-portfolio__items-style-default .vp-portfolio__item-meta-inline a:focus {
  color: hsl(var(--wld-color-title));
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta-author img,
.vp-portfolio__items-style-default .vp-portfolio__item-meta-part-icon {
  display: none;
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta-categories {
  margin-top: 0;
  margin-bottom: 4px;
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta-categories a {
  color: var(--wld-color-brand);
  -webkit-transition: color var(--wld-transition-duration) var(--wld-transition-easing);
  -o-transition: color var(--wld-transition-duration) var(--wld-transition-easing);
  transition: color var(--wld-transition-duration) var(--wld-transition-easing);
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta-categories a:hover, .vp-portfolio__items-style-default .vp-portfolio__item-meta-categories a:focus {
  color: hsl(var(--wld-color-title));
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta-title {
  margin-top: 0;
  margin-bottom: 4px;
}
.vp-portfolio__items-style-default .vp-portfolio__item-meta-title a {
  display: inline-block;
  -webkit-transition: color var(--wld-transition-duration) var(--wld-transition-easing);
  -o-transition: color var(--wld-transition-duration) var(--wld-transition-easing);
  transition: color var(--wld-transition-duration) var(--wld-transition-easing);
}
.vp-portfolio__items-style-default .vp-portfolio__item-img-wrap {
  margin-bottom: 28px;
}
.vp-portfolio__items-style-default .vp-portfolio__items-wrap,
.vp-portfolio__items-style-default .vp-portfolio__item,
.vp-portfolio__items-style-default .vp-portfolio__item-img-wrap {
  overflow: initial;
}

[data-vp-items-style=default] .vp-portfolio__items-wrap {
  overflow: initial;
}
[data-vp-items-style=default] .vp-portfolio__items-wrap.swiper-container .vp-portfolio__items {
  --vp-items-style-default--image-hover__transform: none;
}
[data-vp-items-style=default] .vp-portfolio__items-wrap.swiper-container,
[data-vp-items-style=default] .vp-portfolio__items-wrap.swiper-container .vp-portfolio__item-img-wrap {
  overflow: hidden;
}

/* ------------------------------------------------------------------
  Style Fade.
 ------------------------------------------------------------------- */
.vp-portfolio__items-style-fade {
  --vp-items-style-fade--meta-items__gap: 14px;
  --vp-items-style-fade--meta-categories__gap: 14px;
  --vp-items-style-fade--meta-categories__opacity: 1;
  --vp-items-style-fade--meta-categories__separator: "";
  --vp-items-style-fade--meta-categories__font-size: var(--wld--font-size--small);
  --vp-items-style-fade--meta-inline__font-opacity: 1;
  --vp-items-style-fade--meta-inline__font-weight: 500;
  --vp-items-style-fade--meta-inline__gap: 20px;
  --vp-items-style-fade--meta-part-icon__offset: 8px;
}
.vp-portfolio__items-style-fade .vp-portfolio__item-meta-title {
  margin-top: 0;
}

/* ------------------------------------------------------------------
  Style Fly.
 ------------------------------------------------------------------- */
.vp-portfolio__items-style-fly {
  --vp-items-style-fly--meta-items__gap: 14px;
  --vp-items-style-fly--meta-categories__font-size: var(--wld--font-size--small);
  --vp-items-style-fly--meta-categories__gap: 14px;
  --vp-items-style-fly--meta-categories__opacity: 1;
  --vp-items-style-fly--meta-categories__separator: "";
  --vp-items-style-fly--meta-inline__font-opacity: 1;
  --vp-items-style-fly--meta-inline__font-weight: 500;
  --vp-items-style-fly--meta-inline__gap: 20px;
  --vp-items-style-fly--meta-part-icon__offset: 8px;
}
.vp-portfolio__items-style-fly .vp-portfolio__item-meta-categories {
  margin-top: 0;
}
.vp-portfolio__items-style-fly .vp-portfolio__item-meta-title {
  margin-top: 0;
}

/* ------------------------------------------------------------------
  Style Emerge.
 ------------------------------------------------------------------- */
.vp-portfolio__items-style-emerge {
  --vp-items-style-emerge--meta__padding-v: 0;
  --vp-items-style-emerge--meta__padding-h: 0;
  --vp-items-style-emerge--meta-items__gap: 14px;
  --vp-items-style-emerge--meta-categories__gap: 14px;
  --vp-items-style-emerge--meta-categories__opacity: 1;
  --vp-items-style-emerge--meta-categories__separator: "";
  --vp-items-style-emerge--meta-categories__font-size: var(--wld--font-size--small);
  --vp-items-style-emerge--meta-inline__font-opacity: 1;
  --vp-items-style-emerge--meta-inline__font-weight: 500;
  --vp-items-style-emerge--meta-inline__gap: 20px;
  --vp-items-style-emerge--meta-part-icon__offset: 8px;
  --vp-items-style-emerge--overlay__background-color: hsl(var(--wld-color-background));
  --vp-items-style-emerge--links__color: hsl(var(--wld-color-title));
}
.vp-portfolio__items-style-emerge .vp-portfolio__item a:focus {
  color: var(--wld-color-brand);
}
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta {
  color: hsl(var(--wld-color-text));
}
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta-categories a,
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta-inline a {
  color: hsl(var(--wld-color-meta));
}
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta-categories a:hover,
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta-inline a:hover {
  color: hsl(var(--wld-color-title));
}
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta-categories a:focus,
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta-inline a:focus {
  color: var(--wld-color-brand);
}
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta-categories {
  margin-top: 0;
}
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta-inline {
  color: hsl(var(--wld-color-meta));
}
.vp-portfolio__items-style-emerge .vp-portfolio__item-meta-title {
  margin-top: 0;
}

/* ------------------------------------------------------------------
  Styled Carousel.
 ------------------------------------------------------------------- */
.vp-portfolio {
  --vp-layout-slider--arrows__width: 46px;
  --vp-layout-slider--arrows__height: 46px;
  --vp-layout-slider--arrows__color: hsl(var(--wld-color-black));
  --vp-layout-slider--arrows__background-color: hsl(var(--wld-color-white));
  --vp-layout-slider--arrows__border-radius: 50%;
  --vp-layout-slider--arrows__box-shadow: 0;
  --vp-layout-slider--arrows__opacity: 1;
  --vp-layout-slider--arrows__offset: 50%;
  --vp-layout-slider--arrows-hover__box-shadow: none;
  --vp-layout-slider--bullets__margin-top: calc(var(--vp-layout-slider--bullets__height) + var(--wld--spacing--medium));
  --vp-layout-slider--bullets__width: 12px;
  --vp-layout-slider--bullets__height: 12px;
  --vp-layout-slider--bullets__border-radius: 0;
  --vp-layout-slider--bullets__background-color: hsl(var(--wld-color-title));
  --vp-layout-slider--bullets__opacity: 1;
  --vp-layout-slider--bullets-hover__opacity: 1;
  --vp-layout-slider--bullets__gap: 10px;
}

[data-vp-layout=slider][data-vp-slider-bullets=true] .vp-portfolio__items-arrow {
  bottom: calc(var(--wld--spacing--medium) + var(--vp-layout-slider--bullets__margin-top));
}
[data-vp-layout=slider] .vp-portfolio__items-arrow {
  top: auto;
  bottom: var(--wld--spacing--medium);
  margin-top: 0;
  background-color: transparent;
}
[data-vp-layout=slider] .vp-portfolio__items-arrow::before {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  display: block;
  content: "";
  background-color: var(--vp-layout-slider--arrows__background-color);
  border-radius: var(--vp-layout-slider--arrows__border-radius);
  -webkit-transition: -webkit-transform var(--wld-transition-cubic-duration) var(--wld-transition-cubic-easing);
  transition: -webkit-transform var(--wld-transition-cubic-duration) var(--wld-transition-cubic-easing);
  -o-transition: transform var(--wld-transition-cubic-duration) var(--wld-transition-cubic-easing);
  transition: transform var(--wld-transition-cubic-duration) var(--wld-transition-cubic-easing);
  transition: transform var(--wld-transition-cubic-duration) var(--wld-transition-cubic-easing), -webkit-transform var(--wld-transition-cubic-duration) var(--wld-transition-cubic-easing);
}
[data-vp-layout=slider] .vp-portfolio__items-arrow:hover::before {
  -webkit-transform: scale(0.95);
      -ms-transform: scale(0.95);
          transform: scale(0.95);
}
[data-vp-layout=slider] .vp-portfolio__items-arrow:active::before {
  -webkit-transform: scale(1);
      -ms-transform: scale(1);
          transform: scale(1);
}
[data-vp-layout=slider] .swiper-button-disabled {
  opacity: 0.5;
}
[data-vp-layout=slider] .swiper-button-disabled:hover, [data-vp-layout=slider] .swiper-button-disabled:focus {
  opacity: 0.5;
}
[data-vp-layout=slider] .swiper-button-disabled:hover::before, [data-vp-layout=slider] .swiper-button-disabled:focus::before {
  -webkit-transform: scale(1);
      -ms-transform: scale(1);
          transform: scale(1);
}
[data-vp-layout=slider] .vp-portfolio__items-arrow-prev {
  margin-left: -7.5px;
}
[data-vp-layout=slider] .vp-portfolio__items-arrow-next {
  margin-right: -7.5px;
}
[data-vp-layout=slider] .vp-portfolio__items-arrow-prev, [data-vp-layout=slider][data-vp-slider-bullets=true] .vp-portfolio__items-wrap .vp-portfolio__items-arrow-prev {
  -webkit-transform: translateX(-100%);
      -ms-transform: translateX(-100%);
          transform: translateX(-100%);
}
[data-vp-layout=slider] .vp-portfolio__items-arrow-next, [data-vp-layout=slider][data-vp-slider-bullets=true] .vp-portfolio__items-wrap .vp-portfolio__items-arrow-next {
  -webkit-transform: translateX(100%);
      -ms-transform: translateX(100%);
          transform: translateX(100%);
}
[data-vp-layout=slider] .vp-portfolio__items-bullets {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
[data-vp-layout=slider] .vp-portfolio__items-bullets > .swiper-pagination-bullet {
  border: 2.5px solid var(--vp-layout-slider--bullets__background-color);
  border-radius: 100%;
  -webkit-transition: border-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing), background-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing), -webkit-transform 0.15s var(--vp-layout-slider__transition-easing);
  transition: border-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing), background-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing), -webkit-transform 0.15s var(--vp-layout-slider__transition-easing);
  -o-transition: transform 0.15s var(--vp-layout-slider__transition-easing), border-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing), background-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing);
  transition: transform 0.15s var(--vp-layout-slider__transition-easing), border-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing), background-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing);
  transition: transform 0.15s var(--vp-layout-slider__transition-easing), border-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing), background-color var(--vp-layout-slider__transition-duration) var(--vp-layout-slider__transition-easing), -webkit-transform 0.15s var(--vp-layout-slider__transition-easing);
  -webkit-transform: scale(0.4);
      -ms-transform: scale(0.4);
          transform: scale(0.4);
  -webkit-transform-origin: center;
      -ms-transform-origin: center;
          transform-origin: center;
}
[data-vp-layout=slider] .vp-portfolio__items-bullets > .swiper-pagination-bullet::after {
  right: calc(var(--vp-layout-slider--bullets__gap) / -1);
  left: calc(var(--vp-layout-slider--bullets__gap) / -1);
  -webkit-transform: scale(2);
      -ms-transform: scale(2);
          transform: scale(2);
}
[data-vp-layout=slider] .vp-portfolio__items-bullets > .swiper-pagination-bullet:hover {
  background-color: var(--wld-color-brand);
  border-color: var(--wld-color-brand);
}
[data-vp-layout=slider] .vp-portfolio__items-bullets > .swiper-pagination-bullet:focus:not(:focus-visible) {
  outline: none;
}
[data-vp-layout=slider] .vp-portfolio__items-bullets > .swiper-pagination-bullet-active {
  background-color: transparent;
  -webkit-transform: scale(1);
      -ms-transform: scale(1);
          transform: scale(1);
}
[data-vp-layout=slider] .vp-portfolio__items-bullets > .swiper-pagination-bullet-active:hover {
  background-color: transparent;
}
[data-vp-layout=slider] .vp-portfolio__items-bullets > .swiper-pagination-bullet-active::after {
  -webkit-transform: scale(1);
      -ms-transform: scale(1);
          transform: scale(1);
}
[data-vp-layout=slider] .vp-portfolio__item-img-wrap {
  margin-bottom: 0;
}